package com.unis.crk.basic.entity.vo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class UserAndRoleInfo implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    private String userId;

    private String username;

    private String password;

    private String orgId;

    private String realName;

    private String userAlias;

    private Integer sex;

    private String telphone;

    private String mobile;

    private String address;

    private String email;

    private String qqNumber;

    private String imgUrl;

    private String signature;

    private Date createTime;

    private String createUserId;

    private Date updateTime;

    private String updateUserId;

    private Integer status;

    private Integer delFlag;

    private List<String> roleIds = new ArrayList<String>();

    private List<String> crkRoleIds = new ArrayList<String>();

    //业务字段
    private String roleNames;

    private String orgName;



    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getRoleNames() {
        return roleNames;
    }

    public void setRoleNames(String roleNames) {
        this.roleNames = roleNames;
    }

    /**
     * 用户编号
     * @return user_id 用户编号
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 用户编号
     * @param userId 用户编号
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 用户名
     * @return username 用户名
     */
    public String getUsername() {
        return username;
    }

    /**
     * 用户名
     * @param username 用户名
     */
    public void setUsername(String username) {
        this.username = username == null ? null : username.trim();
    }

    /**
     * 密码
     * @return password 密码
     */
    public String getPassword() {
        return password;
    }

    /**
     * 密码
     * @param password 密码
     */
    public void setPassword(String password) {
        this.password = password == null ? null : password.trim();
    }

    /**
     * 组织编号
     * @return org_id 组织编号
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 组织编号
     * @param orgId 组织编号
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    /**
     * 真实姓名
     * @return real_name 真实姓名
     */
    public String getRealName() {
        return realName;
    }

    /**
     * 真实姓名
     * @param realName 真实姓名
     */
    public void setRealName(String realName) {
        this.realName = realName == null ? null : realName.trim();
    }

    /**
     * 用户别名
     * @return user_alias 用户别名
     */
    public String getUserAlias() {
        return userAlias;
    }

    /**
     * 用户别名
     * @param userAlias 用户别名
     */
    public void setUserAlias(String userAlias) {
        this.userAlias = userAlias == null ? null : userAlias.trim();
    }

    /**
     * 性别
     * @return sex 性别
     */
    public Integer getSex() {
        return sex;
    }

    /**
     * 性别
     * @param sex 性别
     */
    public void setSex(Integer sex) {
        this.sex = sex;
    }

    /**
     * 固定电话
     * @return telphone 固定电话
     */
    public String getTelphone() {
        return telphone;
    }

    /**
     * 固定电话
     * @param telphone 固定电话
     */
    public void setTelphone(String telphone) {
        this.telphone = telphone == null ? null : telphone.trim();
    }

    /**
     * 手机号
     * @return mobile 手机号
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 手机号
     * @param mobile 手机号
     */
    public void setMobile(String mobile) {
        this.mobile = mobile == null ? null : mobile.trim();
    }

    /**
     * 地址
     * @return address 地址
     */
    public String getAddress() {
        return address;
    }

    /**
     * 地址
     * @param address 地址
     */
    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    /**
     * 电子邮箱
     * @return email 电子邮箱
     */
    public String getEmail() {
        return email;
    }

    /**
     * 电子邮箱
     * @param email 电子邮箱
     */
    public void setEmail(String email) {
        this.email = email == null ? null : email.trim();
    }

    /**
     * QQ号码
     * @return qq_number QQ号码
     */
    public String getQqNumber() {
        return qqNumber;
    }

    /**
     * QQ号码
     * @param qqNumber QQ号码
     */
    public void setQqNumber(String qqNumber) {
        this.qqNumber = qqNumber == null ? null : qqNumber.trim();
    }

    /**
     * 照片路径
     * @return img_url 照片路径
     */
    public String getImgUrl() {
        return imgUrl;
    }

    /**
     * 照片路径
     * @param imgUrl 照片路径
     */
    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl == null ? null : imgUrl.trim();
    }

    /**
     * 电子签名
     * @return signature 电子签名
     */
    public String getSignature() {
        return signature;
    }

    /**
     * 电子签名
     * @param signature 电子签名
     */
    public void setSignature(String signature) {
        this.signature = signature == null ? null : signature.trim();
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 录入员
     * @return create_user_id 录入员
     */
    public String getCreateUserId() {
        return createUserId;
    }

    /**
     * 录入员
     * @param createUserId 录入员
     */
    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    /**
     * 最后修改时间
     * @return update_time 最后修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后修改时间
     * @param updateTime 最后修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 最后修改人
     * @return update_user_id 最后修改人
     */
    public String getUpdateUserId() {
        return updateUserId;
    }

    /**
     * 最后修改人
     * @param updateUserId 最后修改人
     */
    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    /**
     * 状态
     * @return status 状态
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 状态
     * @param status 状态
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 删除标记
     * @return del_flag 删除标记
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 删除标记
     * @param delFlag 删除标记
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public List<String> getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(List<String> roleIds) {
        this.roleIds = roleIds;
    }

    public List<String> getCrkRoleIds() {
        return crkRoleIds;
    }

    public void setCrkRoleIds(List<String> crkRoleIds) {
        this.crkRoleIds = crkRoleIds;
    }
}
